Bug 865072 - [abrt]: WARNING: at drivers/net/wireless/iwlwifi/iwl-trans.h:518 iwl_dvm_send_cmd+0x130/0x140 [iwlwifi](): TAINTED G W
[abrt]: WARNING: at drivers/net/wireless/iwlwifi/iwl-trans.h:518 iwl_dvm_send...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Stanislaw Gruszka
Fedora Extras Quality Assurance
abrt_hash:94f0c658ff6f86b1dfe56f4ec09...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-10 14:32 EDT by Rafael Kümmel
Modified: 2012-11-02 11:20 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-02 11:20:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rafael Kümmel 2012-10-10 14:32:11 EDT
Additional info:
libreport version: 2.0.14
abrt_version:   2.0.13
cmdline:        BOOT_IMAGE=/vmlinuz-3.5.5-2.fc17.x86_64 root=/dev/mapper/vg_kummel-lv_root ro rd.md=0 rd.dm=0 KEYTABLE=br-abnt2 rd.lvm.lv=vg_kummel/lv_swap rd.luks=0 rd.lvm.lv=vg_kummel/lv_root SYSFONT=True LANG=en_US.UTF-8 rhgb quiet
kernel:         3.5.5-2.fc17.x86_64

kernel_tainted_long:
:Proprietary module has not been loaded.
:Taint on warning.

backtrace:
:WARNING: at drivers/net/wireless/iwlwifi/iwl-trans.h:518 iwl_dvm_send_cmd+0x130/0x140 [iwlwifi]()
:Hardware name: Satellite M645
:iwl_trans_send_cmd bad state = 0
:Modules linked in: fuse bnep bluetooth nf_conntrack_netbios_ns nf_conntrack_broadcast ip6t_REJECT nf_conntrack_ipv6 nf_conntrack_ipv4 nf_defrag_ipv6 nf_defrag_ipv4 xt_state nf_conntrack ip6table_filter ip6_tables binfmt_misc snd_hda_codec_hdmi snd_hda_codec_realtek snd_hda_intel snd_hda_codec snd_hwdep snd_seq snd_seq_device uvcvideo snd_pcm videobuf2_vmalloc videobuf2_memops videobuf2_core videodev media arc4 iwlwifi snd_page_alloc snd_timer mac80211 cfg80211 toshiba_acpi sparse_keymap rfkill snd wmi intel_ips mei lpc_ich r8169 mii coretemp kvm_intel kvm jmb38x_ms memstick soundcore i2c_i801 mfd_core microcode uinput crc32c_intel sdhci_pci sdhci mmc_core i915 video i2c_algo_bit drm_kms_helper drm i2c_core [last unloaded: scsi_wait_scan]
:Pid: 4372, comm: kworker/1:1 Tainted: G        W    3.5.5-2.fc17.x86_64 #1
:Call Trace:
: [<ffffffff8105864f>] warn_slowpath_common+0x7f/0xc0
: [<ffffffff81058746>] warn_slowpath_fmt+0x46/0x50
: [<ffffffffa026ee00>] iwl_dvm_send_cmd+0x130/0x140 [iwlwifi]
: [<ffffffffa0273856>] iwl_send_add_sta+0xd6/0x120 [iwlwifi]
: [<ffffffffa0273a4a>] iwlagn_send_sta_key+0x1aa/0x240 [iwlwifi]
: [<ffffffffa0275a07>] iwl_set_dynamic_key+0x147/0x1e0 [iwlwifi]
: [<ffffffff8160ace6>] ? __mutex_lock_slowpath+0x46/0x130
: [<ffffffffa027bdd8>] ? iwl_scan_cancel_timeout+0x198/0x1e0 [iwlwifi]
: [<ffffffffa02692ef>] iwlagn_mac_set_key+0x17f/0x2a0 [iwlwifi]
: [<ffffffffa0311f72>] ieee80211_key_enable_hw_accel+0x142/0x2f0 [mac80211]
: [<ffffffff8105bfb8>] ? put_online_cpus+0x48/0x60
: [<ffffffffa0312704>] ieee80211_enable_keys+0x94/0x100 [mac80211]
: [<ffffffffa0314f4f>] ieee80211_reconfig+0x8ef/0xd50 [mac80211]
: [<ffffffffa02f07d1>] ieee80211_restart_work+0x91/0xb0 [mac80211]
: [<ffffffff81075f99>] process_one_work+0x129/0x400
: [<ffffffffa02f0740>] ? ieee80211_recalc_smps_work+0x50/0x50 [mac80211]
: [<ffffffff810765c6>] worker_thread+0x126/0x2e0
: [<ffffffff810764a0>] ? rescuer_thread+0x1f0/0x1f0
: [<ffffffff8107b183>] kthread+0x93/0xa0
: [<ffffffff816162a4>] kernel_thread_helper+0x4/0x10
: [<ffffffff8107b0f0>] ? kthread_freezable_should_stop+0x70/0x70
: [<ffffffff816162a0>] ? gs_change+0x13/0x13
Comment 1 Stanislaw Gruszka 2012-10-16 06:38:54 EDT
Please add this iwlwifi module debug option:

echo "options iwlwifi debug=0x0803" > /etc/modprobe.d/iwlwifi.conf

and install this kernel, with additional patch:

http://koji.fedoraproject.org/koji/taskinfo?taskID=4591540

Then try to reproduce the problem and provide output of dmesg:

dmesg > dmesg.txt

(attach dmesg.txt file here).
Comment 2 Stanislaw Gruszka 2012-10-18 07:42:37 EDT
Please test this kernel (with proposed fix for the problem) and report back:
http://koji.fedoraproject.org/koji/taskinfo?taskID=4602595

Note You need to log in before you can comment on or make changes to this bug.